VismaBouwsoftAPICalls.v1_PUT_ProjectContacts Method
v1_PUT_ProjectContacts() as String

This API call is used to update fields of a(n) ProjectContact

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /ProjectContacts/{id}

You make this API call with the key field id as the path parameter (the id of the ProjectContact you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
project_id 1 tpLong 0 No No No
project_pnr 1 tpLong 0 No No No
project_approved 5 tpBool 0 No No No
project_rejected 5 tpBool 0 No No No
project_completed 5 tpBool 0 No No No
address_id 1 tpLong 0 No No No
address_name 2 tpString 150 No No No
address_active 5 tpBool 0 No No No
contact_id 1 tpLong 0 No No No
contact_salutation 2 tpString 50 No Yes No
contact_name 2 tpString 50 No Yes No
contact_function 2 tpString 50 No Yes No
contact_department 2 tpString 50 No Yes No
contact_address 2 tpString 63 No Yes No
contact_addressline2 2 tpString 63 No Yes No
contact_countrycode 2 tpString 2 No Yes No
contact_zipcode 2 tpString 15 No Yes No
contact_city 2 tpString 40 No Yes No
contact_state 2 tpString 40 No No No
contact_email 10 tpEmail 100 No Yes No
contact_telephone 9 tpTelefoon 25 No Yes No
contact_fax 15 tpFax 25 No Yes No
contact_gsm 9 tpTelefoon 25 No Yes No

/ProjectContacts/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/ProjectContacts/102

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: bOIfWxfOrOzSfIDDktzRqbjPfmIkIOttjUltzftfAPrGflAOOf
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: columns, ParameterValue: contact_address=’Gruuthof 23’

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 102,
    "contact_address": "Gruuthof 23"
  }
]
}